Bug 88620 - WebSocket: Remove hixie76 protocol implementation
Summary: WebSocket: Remove hixie76 protocol implementation
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Yuta Kitamura
URL:
Keywords:
Depends on:
Blocks: 81371
  Show dependency treegraph
 
Reported: 2012-06-07 22:20 PDT by Yuta Kitamura
Modified: 2012-07-10 00:31 PDT (History)
7 users (show)

See Also:


Attachments
Patch (58.44 KB, patch)
2012-06-07 22:34 PDT, Yuta Kitamura
no flags Details | Formatted Diff | Diff
Patch for landing (58.40 KB, patch)
2012-07-09 23:10 PDT, Adam Barth
webkit.review.bot: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from gce-cr-linux-06 (373.40 KB, application/zip)
2012-07-10 00:00 PDT, WebKit Review Bot
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yuta Kitamura 2012-06-07 22:20:32 PDT
This is the first step of bug 81371.

In this bug I'm going to remove code in WebCore/Modules/websockets/ that implements old hixie76 protocol (which isn't used anymore).
Comment 1 Yuta Kitamura 2012-06-07 22:34:45 PDT
Created attachment 146480 [details]
Patch
Comment 2 Adam Barth 2012-07-09 23:04:23 PDT
Comment on attachment 146480 [details]
Patch

There don't seem to be any objections.  Let's do it.
Comment 3 WebKit Review Bot 2012-07-09 23:06:18 PDT
Comment on attachment 146480 [details]
Patch

Rejecting attachment 146480 [details] from commit-queue.

Failed to run "['/mnt/git/webkit-commit-queue/Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '-..." exit_code: 2

Last 500 characters of output:
ILED -- saving rejects to file LayoutTests/platform/qt/TestExpectations.rej
patching file LayoutTests/platform/win/Skipped
Hunk #1 FAILED at 1870.
1 out of 1 hunk FAILED -- saving rejects to file LayoutTests/platform/win/Skipped.rej
patching file LayoutTests/platform/wk2/Skipped
Hunk #1 succeeded at 816 with fuzz 2 (offset 4 lines).

Failed to run "[u'/mnt/git/webkit-commit-queue/Tools/Scripts/svn-apply', u'--force', u'--reviewer', u'Adam Barth']" exit_code: 1 cwd: /mnt/git/webkit-commit-queue/

Full output: http://queues.webkit.org/results/13186012
Comment 4 Adam Barth 2012-07-09 23:10:44 PDT
Created attachment 151402 [details]
Patch for landing
Comment 5 WebKit Review Bot 2012-07-10 00:00:09 PDT
Comment on attachment 151402 [details]
Patch for landing

Attachment 151402 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/13178018

New failing tests:
fast/dom/webtiming.html
http/tests/websocket/tests/hixie76/long-invalid-header.html
http/tests/websocket/tests/hixie76/client-close.html
http/tests/websocket/tests/hixie76/url-with-credential.html
fast/loader/unload-form-post-about-blank.html
http/tests/websocket/tests/hixie76/bad-handshake-crash.html
http/tests/websocket/tests/hixie76/frame-length-longer-than-buffer.html
http/tests/websocket/tests/hixie76/frame-length-overflow.html
http/tests/websocket/tests/hixie76/handshake-fail-by-no-connection-header.html
http/tests/websocket/tests/hixie76/error-detect.html
http/tests/websocket/tests/hixie76/alert-in-event-handler.html
http/tests/security/script-crossorigin-loads-correctly.html
http/tests/websocket/tests/hixie76/frame-length-skip.html
fast/frames/cached-frame-counter.html
http/tests/websocket/tests/hixie76/handshake-fail-by-sub-protocol-mismatch.html
http/tests/websocket/tests/hixie76/handshake-fail-by-no-cr.html
http/tests/websocket/tests/hixie76/bufferedAmount-after-close.html
http/tests/websocket/tests/hixie76/handshake-fail-by-maxlength.html
http/tests/websocket/tests/hixie76/undefined-attributes.html
http/tests/websocket/tests/hixie76/sub-protocol-with-space.html
http/tests/websocket/tests/hixie76/split-binary-frame-header.html
http/tests/websocket/tests/hixie76/handshake-fail-by-cross-origin.html
http/tests/websocket/tests/hixie76/handshake-fail-by-prepended-null.html
http/tests/websocket/tests/hixie76/handshake-challenge-randomness.html
http/tests/websocket/tests/hixie76/handshake-fail-by-no-upgrade-header.html
http/tests/websocket/tests/hixie76/send-object.html
fast/loader/local-CSS-from-local.html
Comment 6 WebKit Review Bot 2012-07-10 00:00:13 PDT
Created attachment 151405 [details]
Archive of layout-test-results from gce-cr-linux-06

The attached test failures were seen while running run-webkit-tests on the chromium-ews.
Bot: gce-cr-linux-06  Port: <class 'webkitpy.common.config.ports.ChromiumXVFBPort'>  Platform: Linux-2.6.39-gcg-201203291735-x86_64-with-Ubuntu-10.04-lucid
Comment 7 Adam Barth 2012-07-10 00:30:23 PDT
I'm just going to delete the tests too since that's easier than figuring out how to skip them correctly.
Comment 8 Adam Barth 2012-07-10 00:31:10 PDT
Committed r122199: <http://trac.webkit.org/changeset/122199>